<script>
    import Header from '../components/Header.svelte';
    import Footer from '../components/Footer.svelte';
    import { Link } from "svelte-routing";
</script>

<Header/>

<section class="prog">
	<div class="wrap">
        <article>
            <h1>Cutting-Edge Programs</h1>
            <p>We teach the things that no-one else is teaching. All of our programs are built from the ground-up with our own proprietary systems and processes. They are NEW, innovative and give our students a true competitive advantage.</p>
        </article>
	</div>
</section>

<section class="apex">
    <div class="wrap">
        <img src="/imgs/apex-seller-product-graphic.webp" alt="Apex Seller">
        <div>
            <h1>Apex Seller™</h1>
            <h4>Stage: Scaling Up <span class="scaleProgbar"></span></h4>
            <p>How to scale into 7- and 8-figures by leveraging professional grade systems &amp; data, full-scale PPC advertising, unique products and a world-class team.</p>
            <Link class="button" to="/apex-seller">Learn More</Link>
        </div>
	</div>
</section>

<Footer/>

<style type="text/scss">

h1 {
    font-size: 1.8rem;
    margin-bottom: 0.5rem;
}


.prog {
    margin-top: 64px;
    padding: 4rem 1rem;


    article {
        text-align: center;

        p {
            font-size: 1.2rem;
        }
    }
}



.apex {
	font-size: 1.2rem;
    text-align: center;
    padding: 4rem 1rem;
    box-sizing: border-box;
    background: #efefef;

    h1 {
        font-size: 2rem;
    }

    img {
        max-width: 450px;
        width: 100%;
        margin-bottom: 1rem;
    }

    a.button {
        text-transform: uppercase;
        font-weight: bold;
    }
}

@media (min-width: 768px) {

    .prog {
        padding: 6rem 1rem;
        .wrap {
            max-width: 750px;
        }

        h1 {
            font-size: 2.2rem;
            margin-bottom: 1rem;
        }

        p {
            font-size: 1.3rem;
        }
    }
    
    

    .apex {
        padding: 6rem 1rem;
        .wrap {

            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 2rem;
            align-items: center;
            justify-content: center;

            > div {
                text-align: left;

                p {
                    font-size: 1.2rem;
                }
            }
        }

        img {
            max-width: 100%;
        }
    }
}

@media (min-width: 1025px) {
    .apex {
        .wrap {
            max-width: 900px;
            grid-template-columns: 450px auto;
           
        }
    }
}
 
</style>